Subject: DAD in 2g/3g hosts (was: Review comments on IPv6 for Second and Third Generation Cellular Hosts)

From: [email-masked]
Date: Tue, 30 Apr 2002 13:41:09 +0300

Hi Margaret,

This discussion is about section:

 2.5 RFC2462 - IPv6 Stateless Address Autoconfiguration

   IPv6 Stateless Address Autoconfiguration is defined in 
   [RFC-2462]. This standard is a mandatory part of IPv6. 

 2.5.1 Stateless Address Autoconfiguration in 3GPP 

  A 3GPP cellular host must process a Router Advertisement as 
  stated in chapter 5.5.3 of [RFC-2462]. 

  These cellular hosts need not perform Duplicate Address Detection 
  on its cellular interface, as each delegated prefix is unique within 
  its scope when allocated using the 3GPP IPv6 Stateless Address 
  Autoconfiguration.

  See appendix B for more details on 3GPP IPv6 Stateless Address 
  Autoconfiguration.

====

I have suggested an update to the text:

  2.5.1 Stateless Address Autoconfiguration in 3GPP  
 
   A 3GPP cellular host must process a Router Advertisement as stated 
   in chapter 5.5.3 of [RFC-2462].  
    
   These cellular hosts can set DupAddrDetectTransmits equal to zero,
   as each delegated prefix is unique within its scope when allocated 
   using the 3GPP IPv6 Stateless Address Autoconfiguration. 
    
   See appendix B for more details on 3GPP IPv6 Stateless Address 
   Autoconfiguration. 

You have said:

> It seems reasonable, and consistent with RFC2462 and the PPP for IPv6 spec,
> to avoid DAD for addresses where the remote side (GGSN) assigns the IID.

I agree.

> I am less certain about the privacy address case.  Privacy addresses post-date the
> PPP spec, so it does not deal with them...  In fact, we know that the PPP spec 
> will need to be updated, eventually, to match the newest addressing architecture.

However, we are discussing 2462, which allows the behavior.  I think the text in
2462 is quite sufficient.
 
> Do the 3GPP specifications explicitly state that the GGSN must not allocate any
> addresses within the allocated prefix?  If so, in which document?

As pointed out, the draft you have edited (draft-ietf-ipv6-3gpp-recommend-02.txt)
states:

  7.1 Limitations of 3GPP Address Assignment

    The current 3GPP address assignment mechanism has the following
    limitations:

         The GGSN only advertises a single /64 prefix, rather than a
         set of prefixes.  This will prevent the participation of 3GPP
         nodes (e.g. handsets or 3GPP-attached laptops) in IPv6 site
         renumbering, or in other mechanisms that expect IPv6 hosts to
         create addresses based on multiple advertised prefixes.

         A 3GPP node is assigned a single identifier and is not allowed
         to generate additional identifiers.  This will prevent the use
         of privacy addresses by 3GPP nodes.  This also makes 3GPP
         mechanisms not fully compliant with the expected behavior of
         IPv6 nodes, which will result in incompatibility with popular
         laptop IPv6 stacks.  For example, a laptop that uses privacy
         addresses for web browser connections could not currently not
         currently establish a web browser connection over a 3GPP link.

As our draft is not meant to change either IETF nor 3GPP specifications,
we cannot make any additional claims.

Is there something that you wish to see in our document to fully cover
this?  One possiblility would be to add the following text to the end
of 2.5.1:

  If Privacy Addresses are used [RFC-3041], then DupAddrDetectTransmits 
  should not be set to zero.

John

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Gerben Kuijpers (TED)" <[email-masked]>
Date: Tue, 30 Apr 2002 15:32:59 +0200

>   should not be set to zero.

As long as the GGSN does not configure any global scope addresses on its 
interface towards the 3G host, Privacy Addresses can be used with 
DupAddrDetectTransmits = 0. IMO there is no need for a global scope address on 
the interface towards the host, it's a point-to-point link and if the host needs 
to send packets with the GGSN as destination, it can just use the all-routers 
multicast address.

/Gerben